'=====================================================================
'                  Copyright 1993 by Fred Bunn, All rights reserved
'
'
'This source code may not be distributed in part or as a whole without
'express written permission from Fred Bunn and Teletech Systems.
'=====================================================================
'
'This source code contains the following routines:
'  o SetAppHelp() 'Called in the main Form_Load event to register your
'                 'program with WINHELP.EXE
'  o QuitHelp()    'Deregisters your program with WINHELP.EXE. Should
'                  'be called in your main Form_Unload event
'********** Shameless Plug <g> **********
'The Standard and Professional editions of VB HelpWriter 
' also include the following routines to add sizzle to your
' helpfile presentation...
'  o HelpWindowSize(x,y,dx,dy) ' Position help window in a screen
'                              ' independent manner
'  o SearchHelp()  'Brings up the windows help KEYWORD SEARCH dialog box
'  o ShowHelpTopic(Topicnum) 'Brings up context sensitive help based on
'                  'any of the following CONTEXT IDs
'***********************************************************************
'
'=====================================================================
'List of Context IDs for <DW8000>
'=====================================================================
Global Const Hlp_Form2_ = 10
Global Const Hlp_Select_Test = 20
Global Const Hlp_Oscillators_ = 30
Global Const Hlp_MIDI_Setup = 40
Global Const Hlp_MIDI_Errorx = 50
Global Const Hlp_Load_Patch = 60
Global Const Hlp_Digital_Delay = 70
Global Const Hlp_About_DWx8000 = 80
Global Const Hlp_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx = 90
Global Const Hlp_Create_Bank = 100
Global Const Hlp_Load_Bank = 110
Global Const Hlp_DWx8000_Menu = 120
Global Const Hlp_File_ = 140
Global Const Hlp_Bank_ = 160
Global Const Hlp_MIDI_ = 170
Global Const Hlp_Options_ = 180
Global Const Hlp_Window_ = 190
Global Const Hlp_Help_ = 200
Global Const Hlp_General_ = 210
Global Const Hlp_Modulators_x = 220
'=====================================================================
'
'
'  Help engine section.
Dim m_hWndMainWindow as Integer ' hWnd to tell WINHELP the helpfile owner

' Commands to pass WinHelp()
Global Const HELP_CONTEXT = &H1 '  Display topic in ulTopic
Global Const HELP_QUIT = &H2    '  Terminate help
Global Const HELP_INDEX = &H3   '  Display index
Global Const HELP_HELPONHELP = &H4      '  Display help on using help
Global Const HELP_SETINDEX = &H5        '  Set the current Index for multi index help
Global Const HELP_KEY = &H101           '  Display topic for keyword in offabData
Global Const HELP_MULTIKEY = &H201
Global Const HELP_CONTENTS = &H3     ' Display Help for a particular topic
Global Const HELP_SETCONTENTS = &H5  ' Display Help contents topic
Global Const HELP_CONTEXTPOPUP = &H8 ' Display Help topic in popup window
Global Const HELP_FORCEFILE = &H9    ' Ensure correct Help file is displayed
Global Const HELP_COMMAND = &H102    ' Execute Help macro
Global Const HELP_PARTIALKEY = &H105 ' Display topic found in keyword list
Global Const HELP_SETWINPOS = &H203  ' Display and position Help window

Type HELPWININFO
  wStructSize As Integer
  X As Integer
  Y As Integer
  dX As Integer
  dY As Integer
  wMax As Integer
  rgChMember As String * 2
End Type
Declare Function WinHelp Lib "User" (ByVal hWnd As Integer, ByVal lpHelpFile As String, ByVal wCommand As Integer, dwData As Any) As Integer
Dim MainWindowInfo as HELPWININFO
Sub SetAppHelp (ByVal hWndMainWindow)
'=====================================================================
'To use these subroutines to access WINHELP, you need to add
'at least this one subroutine call to your code
'     o  In the Form_Load event of your main Form enter:
'        Call SetAppHelp(Me.hWnd) 'To setup helpfile variables
'         (If you are not interested in keyword searching or context
'         sensitive help, this is the only call you need to make!)
'=====================================================================
    m_hWndMainWindow = hWndMainWindow
    App.HelpFile = App.Path + "\DW8000.HLP"
    MainWindowInfo.wStructSize = 14
    MainWindowInfo.X=256
    MainWindowInfo.Y=256
    MainWindowInfo.dX=512
    MainWindowInfo.dY=512
    MainWindowInfo.rgChMember=Chr$(0)+Chr$(0)
End Sub
Sub QuitHelp ()
    Dim Result%
    Result% = WinHelp(m_hWndMainWindow, App.HelpFile, HELP_QUIT, Chr$(0) + Chr$(0) + Chr$(0) + Chr$(0))
End Sub
